import React from 'react';
import { CellInfo, DateRange, Grid, OnChangeCallback } from '../types';
export declare type ScheduleProps = {
    classes: Record<string, string>;
    grid: Grid;
    onChange?: OnChangeCallback;
    isResizable?: boolean;
    isDeletable?: boolean;
    moveAxis: 'none' | 'both' | 'x' | 'y';
    isBeingEdited?(cell: CellInfo): boolean;
    cellInfoToDateRange(cell: CellInfo): DateRange;
    onActiveChange?(index: [number, number] | [null, null]): void;
    onClick?(index: [number, number] | [null, null]): void;
};
export declare const Schedule: React.NamedExoticComponent<{
    dateRangeToCells(range: [Date, Date]): CellInfo[];
    ranges: [Date, Date][];
    className?: string | undefined;
    classes: Record<string, string>;
} & ScheduleProps>;
//# sourceMappingURL=Schedule.d.ts.map